# Uses of Class
org.stianloader.picoresolve.version.VersionRange

Packages that use VersionRange
Package
Description
org.stianloader.picoresolve
org.stianloader.picoresolve.version

## Uses of VersionRange in org.stianloader.picoresolve

Fields in org.stianloader.picoresolve declared as VersionRange
Modifier and Type
Field
Description
`final @NotNull VersionRange`
DependencyLayer.DependencyEdge.`requestedVersion`
Methods in org.stianloader.picoresolve with parameters of type VersionRange
Modifier and Type
Method
Description
`CompletableFuture<Map.Entry<@NotNull GAV,RepositoryAttachedValue<Path>>>`
MavenResolver.`download(@NotNull String group, @NotNull String artifact, @NotNull VersionRange versionRange, @Nullable String classifier, @NotNull String extension, @NotNull Executor executor)`
Constructors in org.stianloader.picoresolve with parameters of type VersionRange
Modifier
Constructor
Description
``
`DependencyEdge(@NotNull String group, @NotNull String artifact, @Nullable String classifier, @NotNull String type, @NotNull VersionRange requestedVersion, @NotNull Scope scope, @NotNull ExclusionContainer<Exclusion> edgeExclusion)`

## Uses of VersionRange in org.stianloader.picoresolve.version

Fields in org.stianloader.picoresolve.version declared as VersionRange
Modifier and Type
Field
Description
`static final @NotNull VersionRange`
VersionRange.`FREE_RANGE`
Sentinel value marking a version range which allows any value - corresponding to the string ','.
`static final @NotNull VersionRange`
VersionRange.`RELEASE`
Sentinel value marking a version range which accepts the latest versions defined by the 'release' field of the A-level metadata.xml file.
Methods in org.stianloader.picoresolve.version that return VersionRange
Modifier and Type
Method
Description
`@NotNull VersionRange`
VersionRange.`intersect(@NotNull VersionRange version)`
`static @NotNull VersionRange`
VersionRange.`parse(@NotNull String string)`
Methods in org.stianloader.picoresolve.version with parameters of type VersionRange
Modifier and Type
Method
Description
`@NotNull VersionRange`
VersionRange.`intersect(@NotNull VersionRange version)`